Subject: RE: Identification

From: "Bound, Jim" <[email-masked]>
Date: Mon, 17 Mar 2003 02:59:14 -0500

> Also we want my CD player to be able to support a self healing link 
> > partition if I change the IPv6 scope of identifier, or 
> merge two links 
> > to one link local domain as two examples.
> 
> Before long that piece of CD hifi is more likely to be a wireless MP3
> player which could download new tracks from anywhere.   But if you are
> constrained to the home I wouldn't want my appliances using 
> well-known MAC prefixes either else an inventory of household 
> electronics is on the wire as my TV/TiVo accesses programme 
> info or my CD accesses the cddb or my fridge auto-orders more 
> beer.  Of course most households have these items, but the 
> MAC address might identify high-end products - so it's not 
> just a concern of privacy nut-cakes :)

Yep.  I suppose a terrorist could infect my fridge with some kind of
virus and then I could eat that and die.  Bummer.  Yep better be able to
change my MAC address (identifier) :---)

> 
> (BTW, for my CD or MP3 player to query cddb to lookup track 
> info the lack of a stateless DNS discovery method means you 
> need a DHCP client in your 
> MP3 player...)

Ahaha......another argument to support SHOULD for M/O bits for stateful
in node requirements doc and how about a dhcpv6 beer server for your
fridge, when low it shows up on your porch :--)

/jim